# Generated by Django 3.1 on 2021-07-08 15:32

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('projector', '0042_auto_20201216_1604'),
    ]

    operations = [
        migrations.CreateModel(
            name='Overlay',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('show_notifications', models.BooleanField(default=True, help_text='If true, notifications set here will pop up in your overlay')),
                ('show_contacts', models.BooleanField(default=True, help_text='Email addresses and names of contacts will show up on the overlay modal')),
                ('show_documentation_link', models.BooleanField(default=True, help_text='If the documentation url is set in your project, it will show up on the overlay modal')),
                ('show_ticket_link', models.BooleanField(default=True, help_text='If the ticketing system url is set in your project, it will show up on the overlay modal')),
                ('jira_issue_collector_url', models.TextField(blank=True, help_text='If you have a Jira Issue Collector configured, paste the URL for it here.')),
                ('project', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='projector.project')),
            ],
        ),
    ]
